#
# spec file for package kbd (Version 1.05)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gettext
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         kbd
Copyright:    GNU GPL
Group:        System Environment/Base
Autoreqprov:  on
Version:      1.05
Release:      88
Summary:      Keyboard and font utilities
Source:		ftp://ftp.win.tue.nl/pub/home/aeb/linux-local/utils/kbd/%{name}-%{version}.tar.bz2
Source1:	kbd_fonts.tar.bz2
Source2:	suse-add.tar.bz2
Source3:	README.SuSE
Source4:        kbd.init
Source5:	kbd.fillup
Source5:	kbd.fillup.nonpc
Patch:		kbd-%{version}.diff
Patch1:		setfont-choose-tty.diff
Buildroot:	/var/tmp/buildroot-%{name}

%description
Load and save keyboard mappings. Needed if you are not using the US
keyboard map. This package also contains utilities for changing your
console fonts. If you install this package, YaST will include an extra
menu to allow you to choose between the different fonts.
This package additionally includes fonts from the kbd_fonts.tar.gz
package (by Paul Gortmaker) on Sunsite.

Authors:
--------
    Andries Brouwer <aeb@cwi.nl>

SuSE series: a

%define kbdrate_in_util %(test -e /sbin/kbdrate && echo "1" || echo "0"; exit 0)
%prep
%if %{kbdrate_in_util}
  echo "kbdrate is in util"
%endif
echo $RPM_BUILD_ROOT
%setup -a 1 -a 2 -n kbd-%{version}
%patch -p1 -E
%patch1 -p1

%build
./configure --datadir=/usr/lib/kbd
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/init.d
DOC=${RPM_BUILD_ROOT}%{_defaultdocdir}/kbd
KBD=/usr/lib/kbd
K=$RPM_BUILD_ROOT$KBD
mkdir -p $RPM_BUILD_ROOT/usr/lib/kbd/consolefonts
# First install the fonts from the vfont package 
# (allowing kbd to overwrite some of them)
mkdir -p $DOC/fonts
install -m 644 fonts/README $DOC/fonts/README.fonts
install -m 644 fonts/vfont-4.36/README $DOC/fonts/README.vfont-4.36
install -m 644 fonts/vfont-5.10/README $DOC/fonts/README.vfont-5.10
install -m 644 fonts/vfont-5.10/SCRIPT $DOC/fonts/SCRIPT.vfont-5.10
rm -f fonts/vfont-5.10/SCRIPT fonts/*/README
install -m 644 fonts/*/* $K/consolefonts/
# Now call kbd install
make DESTDIR=$RPM_BUILD_ROOT install
for p in chvt      \
	 openvt    \
	 deallocvt
do
    mv $RPM_BUILD_ROOT/usr/bin/$p $RPM_BUILD_ROOT/bin/
    ln -sf           ../../bin/$p $RPM_BUILD_ROOT/usr/bin/
done
ln -sf ../../bin/loadkeys $RPM_BUILD_ROOT/usr/bin/
ln -sf loadkeys $RPM_BUILD_ROOT/bin/loadkezs
%if ! %{kbdrate_in_util}
mv $RPM_BUILD_ROOT/usr/bin/kbdrate $RPM_BUILD_ROOT/sbin/
ln -sf          ../../sbin/kbdrate $RPM_BUILD_ROOT/usr/bin/
%endif
install -m 644 data/consolefonts/README* $DOC/fonts/
install -m 644 data/consolefonts/ERRORS $DOC/fonts/
mkdir -p $DOC/doc/
install -m 644 doc/keysyms.h.info doc/kbd.FAQ.txt doc/kbd.FAQ*.html doc/README* doc/TODO $DOC/doc/
install -m 644 doc/as400.kbd doc/console.docs doc/repeat/set_kbd_repeat-2 doc/scancodes/*.html $DOC/doc/
echo "See /usr/share/i18/charmaps for a description of char maps" >$DOC/doc/README.charmaps
install -m 644 COPYING CHANGES CREDITS README $DOC/
install $RPM_SOURCE_DIR/README.SuSE $DOC/
rm -f $K/consolefonts/README* $K/consolefonts/ERRORS.gz
install -m 755 %SOURCE4 $RPM_BUILD_ROOT/etc/init.d/kbd
ln -sf ../../etc/init.d/kbd $RPM_BUILD_ROOT/usr/sbin/rckbd
# Compatability links; don't know what the first three are good for.
# The others are for yast/langselection and should be removed as soon as
# yast knows about it.
ln -sf de-latin1-nodeadkeys.map.gz \
  $K/keymaps/i386/qwertz/de-lat1-nd.map.gz
ln -sf ru1.map.gz $K/keymaps/i386/qwerty/russian.map.gz
ln -sf sg-latin1-lk450.map.gz \
  $K/keymaps/i386/qwertz/sg-l1-lk450.map.gz
# The next two links are for yast-language choise; should be obsolete
# with the next yast version (on 6.1)
#ln -sf lat1-16.psfu.gz $K/consolefonts/lat1u-16.psf.gz
#ln -sf lat2-16.psfu.gz $K/consolefonts/lat2u-16.psf.gz
#
# This is for stupid default font search
rm -f $K/consolefonts/default8x16.gz
ln -sf default8x16.psfu.gz $K/consolefonts/default8x16.gz
#
rm -f $K/keymaps/i386/qwerty/*~ $K/keymaps/i386/qwerty/*,v
#
# this is until the Cyr* font are not part of the package
rm -f $K/consolefonts/Cyr_a8x14.gz
ln -sf Cyr_a8x14.psfu.gz $K/consolefonts/Cyr_a8x14.gz
rm -f $K/consolefonts/Cyr_a8x16.gz
ln -sf Cyr_a8x16.psfu.gz $K/consolefonts/Cyr_a8x16.gz
rm -f $K/consolefonts/Cyr_a8x8.gz
ln -sf Cyr_a8x8.psfu.gz $K/consolefonts/Cyr_a8x8.gz
#
find $RPM_BUILD_ROOT/usr/lib/kbd -name \*.orig | xargs -r rm -vf
# add some missing maps to mac and remap french board
(
cd $K/keymaps/mac/
pwd
#ln -s mac-fr-latin1.map.gz mac-fr_CH-latin1.map.gz
#ln -s mac-fr-latin1.map.gz mac-fr.map.gz
for i in \
	mac-es.map.gz \
	mac-it.map.gz \
	mac-pt-latin1.map.gz \
	mac-br-abnt2.map.gz \
	mac-gr.map.gz \
	mac-dk-latin1.map.gz \
	mac-no-latin1.map.gz \
	mac-fi-latin1.map.gz \
	mac-cz-us-qwertz.map.gz \
	mac-hu.map.gz \
	mac-Pl02.map.gz \
	mac-ru1.map.gz \
	mac-jp106.map.gz
do test -f $i || ln -sv mac-us.map.gz $i
done
)
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
%ifarch i386 alpha ia64
install -o root -g root $RPM_SOURCE_DIR/kbd.fillup $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.composetable
%else
install -o root -g root $RPM_SOURCE_DIR/kbd.fillup.nonpc $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.composetable
%endif

%post
sbin/insserv etc/init.d/kbd
echo "Updating etc/rc.config ..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.composetable
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.composetable"
  echo "and update manually."
fi
#echo "Please read the docu about the new COMPOSETABLE rc.config variable."
#echo "See /etc/rc.config and %{_docdir}/kbd/README.SuSE."

%postun
sbin/insserv etc/init.d

%files
%doc %{_defaultdocdir}/kbd
#%doc COPYING CHANGES README CREDITS
%config /etc/init.d/kbd
/var/adm/fillup-templates/rc.config.composetable
/bin/loadkeys
/bin/loadkezs
/bin/chvt
/bin/openvt
/bin/deallocvt
/usr/lib/kbd
/usr/share/locale/*/LC_MESSAGES/kbd.mo
/usr/sbin/rckbd
/usr/bin/chvt
/usr/bin/deallocvt
/usr/bin/dumpkeys
%ifnarch sparc
%ifnarch m68k
/usr/bin/getkeycodes
/usr/bin/setkeycodes
%endif
%endif
/usr/bin/fgconsole
/usr/bin/kbd_mode
/usr/bin/loadkeys
/usr/bin/loadunimap
/usr/bin/openvt
/usr/bin/mapscrn
/usr/bin/psfaddtable
/usr/bin/psfgettable
/usr/bin/psfstriptable
/usr/bin/psfxtable
%ifarch i386
/usr/bin/resizecons
%endif
/usr/bin/setfont
/usr/bin/setleds
/usr/bin/setmetamode
/usr/bin/showfont
/usr/bin/showkey
/usr/bin/unicode_start
/usr/bin/unicode_stop
%if ! %{kbdrate_in_util}
/sbin/kbdrate
/usr/bin/kbdrate
%doc %{_mandir}/man8/kbdrate.8.gz
%endif
%doc %{_mandir}/man1/chvt.1.gz
%doc %{_mandir}/man1/deallocvt.1.gz
%doc %{_mandir}/man1/dumpkeys.1.gz
%doc %{_mandir}/man1/kbd_mode.1.gz
%doc %{_mandir}/man1/loadkeys.1.gz
%doc %{_mandir}/man1/psfaddtable.1.gz
%doc %{_mandir}/man1/psfgettable.1.gz
%doc %{_mandir}/man1/psfstriptable.1.gz
%doc %{_mandir}/man1/psfxtable.1.gz
%doc %{_mandir}/man1/setleds.1.gz
%doc %{_mandir}/man1/setmetamode.1.gz
%doc %{_mandir}/man1/showkey.1.gz
%doc %{_mandir}/man5/keymaps.5.gz
%ifnarch sparc
%ifnarch m68k
%doc %{_mandir}/man8/getkeycodes.8.gz
%doc %{_mandir}/man8/setkeycodes.8.gz
%endif
%endif
%doc %{_mandir}/man8/loadunimap.8.gz
%doc %{_mandir}/man8/mapscrn.8.gz
%ifarch i386
%doc %{_mandir}/man8/resizecons.8.gz
%endif
%doc %{_mandir}/man8/setfont.8.gz
%doc %{_mandir}/man1/openvt.1.gz
%doc %{_mandir}/man1/unicode_start.1.gz
%doc %{_mandir}/man1/unicode_stop.1.gz

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/kbd-%{version}

%changelog -n kbd
* Mon Sep 17 2001 - garloff@suse.de
- Add loadkezs->loadkeys symlink (#10752)
* Sat Sep 01 2001 - olh@suse.de
- no keyboard on iSeries available
* Wed Aug 29 2001 - olh@suse.de
- allow querty/us.map.gz as KEYTABLE, fix mac-dk map
* Wed Aug 08 2001 - olh@suse.de
- handle ppc64 in KBDLIB path as i386
* Mon Aug 06 2001 - kukuk@suse.de
- Fix comment about init script location [Bug #9494]
* Sat Jul 21 2001 - olh@suse.de
- update search path for mac keymaps
* Tue Jul 17 2001 - garloff@suse.de
- changed return value of status to 3 if not running. Fixes
  bug #9052.
* Wed Jul 11 2001 - bjacke@suse.de
- switch , to . on number block for {de,fr}_CH keymaps
* Sun Jun 17 2001 - schwab@suse.de
- setfont: output activation string on selected console, not stdout.
* Fri May 11 2001 - garloff@suse.de
- Remove compose combinations from compose.latin1.add that have
  been merged into the official compose.latin1.
* Fri May 11 2001 - garloff@suse.de
- bzip2 sources.
* Fri May 11 2001 - garloff@suse.de
- Apply fixes to kbd iint script from Werner Fink:
  * Dump keymap to /etc/defkeymap after the compose table has been
  loaded. Do it whenever it changed.
  * In runlevels N, S, 1, we might not have /usr available.
  Don't issue tons of "failed" messages but be happy with
  defkeymap.
* Tue May 08 2001 - garloff@suse.de
- Remove redundant sun keymaps from suse-add.
- Especially remove sunkeymap which reintroduces a fixed bug to kbd
- Remove second .map from sunt4-no-latin1.map.map
* Tue May 08 2001 - garloff@suse.de
- On request of Andries (aeb): Removed the Shift-Ctrl mapping
  of Compose but instead put it on Ctrl-.
- Added compose.ctrlperiod to achieve this.
* Mon May 07 2001 - garloff@suse.de
- Remove double fontwidth assignment (cosmetical)
- Add fbset to init script prerequisites
* Wed May 02 2001 - garloff@suse.de
- Fix bug #7474: (defkeymap)
  keycode 97 = Control Compose is wrong. Use shift keycode ...
- Make Shift-Ctrl and Ctrl-Shift behave the same
- bzip2 the suse_add sources instead of gzip
* Wed Apr 25 2001 - garloff@suse.de
- Corrections to the file list:
  * Install fg_console
  * Install unicode_start/stop plus manpages
  * Don't install resizecons/manpage on non-i386 archs
* Tue Apr 24 2001 - garloff@suse.de
- correct y <-> z in mac-de_CH has erroneously been removed from
  last patch. Corrected.
* Tue Apr 24 2001 - garloff@suse.de
- Use KBD_TTY to determine which consoles need to be manipulated,
  not non-functional /dev/tty[1-24].
* Tue Apr 24 2001 - garloff@suse.de
- Add some sun keymaps from console-data to suse_add. (#6109)
- Add original sun12x22.psfu and suse12x22 under its true name.
* Mon Apr 23 2001 - garloff@suse.de
- Finalized merging with 1.05: SuSE patch shrinked from 116k to
  9k :-)
- fillup now defaults to clear the compose table in case one is
  loaded and gives some more examples.
- Set font on all consoles /dev/tty[1-24] (bugzilla #5812)
- install kbd_fonts before kbd, so the latter has the possibility
  to overwrite/update the fonts from the kbd_fonts pack
* Sun Apr 22 2001 - bjacke@suse.de
- correct y <-> z in mac-de_CH
- add mac_dvorak keymap
- move de_CH from qwerty to qwertz
* Fri Apr 20 2001 - garloff@suse.de
- Update to kbd-1.0.5 which incorporates the patches from olh and
  me.
* Fri Mar 16 2001 - ro@suse.de
- create directory sbin in buildroot
* Sun Dec 17 2000 - garloff@suse.de
- Fix lat5 fonts
- ShiftCtrl now leaves the Ctrl scancodes untouched and just
  changes the ShiftCtrl meaning to Compose.
* Wed Dec 13 2000 - olh@suse.de
- use runlevel S and mount proc with -n
* Fri Dec 08 2000 - schwab@suse.de
- Use extended compose table also on ia64.
- Fix typos.
* Thu Dec 07 2000 - werner@suse.de
- Add begin and end mark of LSB header
- Move chvt, openvt, deallocvt to /bin and set link bak to /usr/bin
* Wed Dec 06 2000 - garloff@suse.de
- Argh: loadkeys does not merge the compose table; just the key
  definitions. Make compose.latin1.add include compose.latin1 and
  update docu accordingly to account for this.
* Wed Dec 06 2000 - garloff@suse.de
- Also include the mapping of the compose key in the COMPOSEMAP
  variable and offer winkeys and shiftctrl. Default on i386 and
  alpha.
- Update README.SuSE to document this.
- This together with the changes from Dec 4 should address the
  problems with some keytables (bug #4275).
* Tue Dec 05 2000 - olh@suse.de
- add mac-fr_CH.map
* Mon Dec 04 2000 - garloff@suse.de
- New startup script: Separate KEYMAP from COMPOSE maps. Add new
  rc.config variable COMPOSEMAP to allow setting of compose combi-
  nations defaulting to "latin1 latin1.add"
- Disable the formerly patched in inclusion of compose maps in
  the keymaps, as we have a proper separation now.
* Mon Dec 04 2000 - garloff@suse.de
- Add de_CH ("schwyzerdtsch") keymap.
- Initialize consoles 1-24 (instead of 1-6) with CONSOLE_MAGIC
  (Bugzilla #4468)
* Tue Nov 28 2000 - kukuk@suse.de
- New initscript in /etc/init.d
* Fri Oct 20 2000 - kukuk@suse.de
- Fix filelist on SPARC
* Thu Oct 05 2000 - olh@suse.de
- remove mac-de2-ext.map, obsolete
* Thu Oct 05 2000 - olh@suse.de
- check for /proc/cpuinfo before mounting proc
* Tue Sep 12 2000 - olh@suse.de
- mount proc on ppc, needed for runlevel S
* Tue Aug 22 2000 - olh@suse.de
- update spec file and use only one dif, add mac-pt map, fix maps
* Sat Aug 05 2000 - garloff@suse.de
- Only include kbdrate in kbd package, if it's not already in util
  If not, install it in /sbin, just like util did before.
- Remove the README files and ERRORS from /usr/lib/kbd/consolefonts
* Fri Aug 04 2000 - kukuk@suse.de
- Add support for PS/2 keyboards and serial console on SPARC
* Tue Aug 01 2000 - garloff@suse.de
- Update to version 1.03wip adding support for a PSF format and
  UTF8, including sequences.
- Apply old patches; split in mac keytables and general patch
- Add support for fonts wider than 8 pixels
- Map compose key (W*n95 Menu Key and Shift-RightCtrl) and include
  additional compose combinations for i386 us and de keymaps
- Add suse12x22.psf font to suse-add.tar.gz and remove fonts, map,
  transtables that are already included in 1.03wip.
- Add %%clean section to spec file
- Install more docu and move font specific docu to a subdir
- Add README.SuSE
* Mon Jul 03 2000 - olh@suse.de
- merge keymaps from 6.4 for mac, be,it,de_CH,fi,dk
* Tue Jun 06 2000 - olh@suse.de
- fix mac specific links to nonexistant maps,
  add mac/include to search path
* Wed May 31 2000 - werner@suse.de
- Import script code from boot.setup which is kbd specific
- User new rc.status shell functions
- Move S20kbd to S10kbd (after nfs import init)
* Thu May 25 2000 - olh@suse.de
- update us-map, get rid of misnamed maps
  use includes for mac-*
* Mon May 08 2000 - wede@suse.de
- suse-add: Lithuanian console fonts and mappings added:
  /usr/lib/kbd/consolefonts/lat7.psf.gz
  /usr/lib/kbd/consolefonts/lt-brim-8x14.psfu.gz
  /usr/lib/kbd/consoletrans/lt-brim.uni
- kbd.spec: use of %%{_defaultdocdir}
* Sun Apr 30 2000 - olh@suse.de
- update mac-fr.map
* Wed Apr 05 2000 - olh@suse.de
- fix link to french mac map
* Tue Mar 28 2000 - olh@suse.de
- use Buildroot
  add some dummy maps for mac
* Mon Mar 20 2000 - kukuk@suse.de
- suse-add: Add more sun keymaps
* Thu Mar 16 2000 - schwab@suse.de
- kbd.rc: Use i386 keymaps also on ia64 and alpha.
* Tue Feb 29 2000 - werner@suse.de
- Close first part of bug #592
  * Search with shell tools not with find
  * Dump /etc/defkeymap.map if not exists
  * Use /etc/defkeymap.map as a fallback if no keymap is found
- Move loadkeys from /usr/bin/ to /bin/ and set a symbolic link
  for backward compatibility
- Add openvt to the file list
* Sun Feb 27 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Thu Dec 09 1999 - olh@suse.de
- Added i386 keys to mac-de.map, @|\~
  make Symlink mac -> ppc relative
* Thu Nov 11 1999 - kukuk@suse.de
- kbd.rc: Add support for SPARC.
* Tue Sep 28 1999 - ml@suse.de
- Added symlink keymaps/ppc -> keymaps/mac in specfile.
  Added lat9-[12,14,16].psfu consolefonts to suse_add.tar.gz
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 01 1999 - ro@suse.de
- don't try to write /var/run/keymap if mounted ro (closing bug 20)
* Fri Jun 18 1999 - uli@suse.de
- cleaned up patch
* Wed Jun 16 1999 - uli@suse.de
- patched de-latin1.map to allow usage of Euro symbol with
  lat0-* console fonts
* Mon Jun 07 1999 - uli@suse.de
- added br-abnt.map and us-acentos.map to suse-addon
* Tue Apr 13 1999 - ml@suse.de
- added lt.baltic.map to suse-addon
* Sun Apr 11 1999 - ml@suse.de
- added a patch for correct KOI8-U (Ukrainian) support
- added screenmap for baltic to suse-addon
* Tue Apr 06 1999 - ml@suse.de
- added a patch harald knig for us.map
* Mon Apr 05 1999 - ml@suse.de
-switch to version 0.99; main change of package: gettext for nls-support
-changes for us: removes the patches for sk-qwertz and sk-qwerty map
  and the map br-abnt2.map (included now)
-added /usr/share/locale/*/LC_MESSAGES/kbd.mo to the %%files-section
  of the specfile for nls-support
* Thu Mar 11 1999 - ml@suse.de
- Changed to kbd-0.97
- lat2u.uni -> now included -> removed from suse-diff
- Pl02.map included into suse-addons and removed from diff
- Same for br-abnt2.map
- added ru3/4 map to suse-addon
- renamed the suse-iso07-extensions to lat7u.*
- removed #mkdir -p $DOC; #mv $K/consolefonts/README* $DOC/ "
  from specfile; now already included in kbd-0.97-makefile
- added ./configure --datadir (which will be best?)
- european default now lat1-16.psfu -> mantel & fehr
- added Cyr_a*.psf* to suse-addons, removed old Cyr-files and set links
- added cyralt.uni
- patched sk-qwertz and sk-qwerty map
* Mon Feb 01 1999 - ro@suse.de
- resizecons is not built on alpha
* Mon Jan 18 1999 - ml@suse.de
- added finally iso07.uni (missed it on Fri Jan  8 10:28:24 MET 1999)
  To do this, two mv-commands in the spec-file have been added, that move
  iso.07.uni to iso07.uni.old and the new one to iso07.uni
* Wed Jan 13 1999 - ml@suse.de
- added latin2u.scrnmap
- added sk-qwertz.map
* Fri Jan 08 1999 - ml@suse.de
-  added lat2u-16.psf and lat2u.uni
* Fri Jan 08 1999 - rolf@suse.de
- added the following keymaps: br-abnt2, Pl02, sk-qwerty
- added the new version of iso07 fonts with SuSE extensions including
  unicode map file
* Sun Dec 13 1998 - bs@suse.de
- removed /var/adm/setup/setup.fontconfig
* Sat Dec 05 1998 - bs@suse.de
- let start script say, that a "keymap" is loaded.
* Thu Nov 26 1998 - bs@suse.de
- made startup script a little bit smoother (let loadkeys not print
  a long path).
* Thu Nov 19 1998 - bs@suse.de
- fixed second find call.
* Tue Nov 17 1998 - bs@suse.de
- moved loadkeys to /usr/bin again (the kbd package does not work without
  a mounted /usr)
- created /sbin/init.d/kbd
- removed Makefile.Linux - was not used anymore :(
* Thu Oct 29 1998 - ro@suse.de
- output "Loading $KEYMAP" to stdout (not stderr)
* Tue Sep 22 1998 - ro@suse.de
- update to 0.96a
- for glibc define _GNU_SOURCE where getopt is used
* Mon Oct 20 1997 - ro@suse.de
- ready for autobuild
* Tue Jun 03 1997 - bs@suse.de
- removed man page console.4.gz (included in ldpman)
* Sun Apr 13 1997 - florian@suse.de
- update to new version 0.93
- mv documentation to /usr/doc
